Name: netams
Version: 3.3.1a
Release: alt0.M24.1

Summary: Network Traffic Accounting and Management Service (NeTAMS)
Summary(ru_RU.KOI8-R): NeTAMS -      .
Summary(ru_RU.CP1251): NeTAMS -      .

License: BSD
Group: Monitoring

Packager: Anton Korbin <ahtoh@altlinux.ru>

Url: http://www.netams.com

Source: %name-%version.tar.gz
#Source1: netams-netamsctl.rc
#Source2: netams-netams.conf
Source3: netams-README.ALT
Source4: netams.initd
Source5: netams-stat.conf
Source6: netams.cfg
Source7: netams-stat.htaccess
Source8: netams-Makefile
Source9: netams-logrotate

#Patch1: netams-configure.sh.patch
#Patch2: netams-Makefile.common.patch
#Patch3: netams-main.c.patch
#Patch3: netams-man-flowprobe.8.patch
#Patch4: netams-man-netams.8.patch
#Patch5: netams-daemonize.patch
#Patch6: netams-postgresql.patch

#BuildArchitectures:i586

# Automatically added by buildreq on Fri Nov 04 2005 (-bi)
BuildRequires: fontconfig freetype2 gcc-c++ iptables-devel libMySQL-devel libpcap-devel libpq3-devel libssl-devel libstdc++-devel perl-CGI perl-Crypt-GeneratePassword perl-DBI perl-GD2 rrd-perl postgresql-devel
Provides: perl(netams_api.pl)
Requires: telnet apache-common

%description
NeTAMS is a Network Traffic Accounting and Monitoring Software.
It collects an IP traffic information flowing via your PC/UNIX or Cisco router,
filters it, aggregates, stores onto HASH/SQL database, and makes SMTP/HTML
reports to site administrator. Anoter features are flexible policy targets,
firewalling, access control, quotas, scheduler and much much more.

%description -l ru_RU.KOI8-R
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%description -l ru_RU.CP1251
NeTAMS -  ,       ,
   .
 ,       .
 ,   ,      ,
    ,      .
    ,     .
       - ,
  .  ""   
          .
NeTAMS     ,       .
     IP-,   Unix-,
     ,    ,  
       .
NeTAMS       , IP   , , 
      (libpcap), divert socket (ipfw divert),
 NetFlow    .      
    ,       
    -.     ,
   .     
   TCP    telnet    .
  -  .

%prep
%setup -q
cp %{SOURCE8} ./Makefile
#%patch1
#%patch2
#%patch3
#%patch4
#%patch5
#%patch6
%__chmod -x doc/*

%build
%make_build

%install
%__mkdir_p %buildroot%_sbindir
#%__mkdir_p %buildroot%_docdir/%name-%version/configs
%__mkdir_p %buildroot%_docdir/%name-%version/oracle
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/netams
%__mkdir_p %buildroot%_sysconfdir/httpd/conf/addon-modules.d
%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_logdir/netams
#%__mkdir_p %buildroot%_localstatedir/netams
#%__mkdir_p %buildroot%_localstatedir/netams/db
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_var/www/admintool
%__mkdir_p %buildroot%_var/www/html/stat

%__install -m600 addon/.netamsctl.rc %buildroot%_sysconfdir/.netamsctl.rc
%__install -m600 %{SOURCE6} %buildroot%_sysconfdir/netams/netams.conf
%__install -m644 addon/ru-networks.txt %buildroot%_sysconfdir/netams/ru-networks
%__install -m755 %{SOURCE4} %buildroot%_initdir/netams
%__install -m750 src/netamsctl %buildroot%_sbindir
%__install -m750 src/netams %buildroot%_sbindir
%__install -m750 src/flowprobe %buildroot%_sbindir
%__install -m750 src/ipfw2netflow %buildroot%_sbindir
%__install doc/{flowprobe.8,netams.8,netamsctl.8} %buildroot%_man8dir
%__install -m644 Copyright %buildroot%_docdir/%name-%version/
%__install -m644 INSTALL %buildroot%_docdir/%name-%version/
%__install -m644 %{SOURCE5} %buildroot%_sysconfdir/httpd/conf/addon-modules.d/

%__cp doc/TODO.txt %buildroot%_docdir/%name-%version/TODO
%__cp doc/README %buildroot%_docdir/%name-%version/
%__cp addon/mysql_rotate.pl %buildroot%_docdir/%name-%version/
%__cp addon/postgresql_schema.sql %buildroot%_docdir/%name-%version/
%__cp addon/ua-networks-get.sh %buildroot%_docdir/%name-%version/
%__cp addon/oracle/* %buildroot%_docdir/%name-%version/oracle
%__cp -R cgi-bin/* %buildroot%_var/www/admintool/
%__ln_s %_var/www/admintool/admintool.cgi %buildroot%_var/www/html/stat/admintool.cgi
%__ln_s %_var/www/admintool/admin/ %buildroot%_var/www/html/stat/admin
%__ln_s %_var/www/admintool/images/ %buildroot%_var/www/html/stat/images
%__cp %{SOURCE7} %buildroot%_var/www/html/stat/.htaccess
#%__cp addon/.netamsctl.rc %buildroot%_docdir/%name-%version/
#%__cp doc/{*.gif,*.html} %buildroot%_docdir/%name-%version/
#%__cp doc/*.cfg %buildroot%_docdir/%name-%version/configs/
%__cp %{SOURCE3} %buildroot%_docdir/%name-%version/
%__cp %{SOURCE9} %buildroot%_sysconfdir/logrotate.d/netams
#%__cp -r %{SOURCE5} %buildroot%_docdir/%name-%version/
#%__cp -r %{SOURCE6} %buildroot%_docdir/%name-%version/
#%__cp -r %{SOURCE7} %buildroot%_docdir/%name-%version/

%files
%_sbindir/*
%_initdir/*
%dir%attr(0700,root,root)%_sysconfdir/netams
%config(noreplace)%attr(0600,root,root)%_sysconfdir/.netamsctl.rc
%config(noreplace)%attr(0600,root,root)%_sysconfdir/netams/netams.conf
%attr(0644,root,root)%_sysconfdir/netams/ru-networks
%_sysconfdir/logrotate.d/*
%_sysconfdir/httpd/conf/addon-modules.d/*
%attr(0750,root,root)%_logdir/netams
%_man8dir/*
#%attr(0750,root,root)%_localstatedir/netams
%_docdir/%name-%version
%attr(-,apache,apache)%_var/www/admintool/*
%_var/www/html/stat/*
%attr(-,apache,apache)%_var/www/html/stat/.htaccess

%post
%post_service %name
%post_service httpd

%preun
%preun_service %name

%changelog
* Tue Dec 06 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.1a-alt0.M24.1
- backport to ALT Linux M24

* Mon Dec 05 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.1a-alt1
- Bugs fixed, new version

* Mon Nov 07 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt4
- Provides fixed

* Fri Nov 04 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt2
- AdminTool added

* Thu Oct 06 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0-alt1
- New stable version, but freeradius not supported

* Wed Sep 07 2005 Anton Korbin <ahtoh@altlinux.ru> 3.3.0.rc2-alt1
- New version, but freeradius not supported

* Sat Apr 09 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.2-alt1
- New version, add billing system, add log-rotate

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.1-alt1
- New version

* Tue Feb 22 2005 Anton Korbin <ahtoh@altlinux.ru> 3.2.0-alt1
- New version

* Tue Oct 12 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.2
- Add doc in pdf, netams-README.ALT correct, bugfix with postgres

* Fri Jul 30 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1.1
- netams.rc bug fix.

* Sat Jul 03 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1829-alt1
- Included are HTML files permission patch and new russian network prefix table.

* Thu May 13 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1.1
- Fix changelog problem

* Tue Apr 06 2004 Anton Korbin <ahtoh@altlinux.ru> 3.1.1828-alt1
- First build for ALTLinux Sisyphus

